--

-- Modify ZyXELDevice table
--
use vantage;
alter table ZyXELDevice add upgradeMode TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELDevice add deviceStatus TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELDevice add devicePort   INT(11) NOT NULL DEFAULT 0;
alter table ZyXELDevice add deviceSync TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELDevice add sutStatus TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELDevice add trapType TINYINT(4) NOT NULL DEFAULT 0;


update  ZyXELDevice set  upgradeMode=1;
update ZyXELDevice set  deviceStatus=3 where sgType!=0;
update ZyXELDevice set trapType=1 where sgType!=0;
update ZyXELDevice set needReset=0 where type="ZyWALL35";
update ZyXELDevice set needReset=0 where type="ZyWALL5";
update ZyXELDevice set needReset=0 where type="ZyWALL70";



--
-- Modify ZyWALLWANCommon table
--

alter table ZyWALLWANCommon add wan2Priority TINYINT(4) NOT NULL DEFAULT 0;


--
-- Modify FirmUpgrade  table
--

alter table FirmUpgrade  add scheduledTime BIGINT(20);
alter table FirmUpgrade  add schedulerId BIGINT(20);

--
--Create GroupConfigInfo table
--

CREATE TABLE `GroupConfigInfo` (
  `id` bigint(20) NOT NULL auto_increment,
  `scope` varchar(250) binary default NULL,
  `deviceType` varchar(250) binary default NULL,
  `tabEditedMap` longblob,
  `hasSuchDevice` tinyint(4) NOT NULL default '0',
  `bbInfoCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
--
--Create scheduleByTime
--

CREATE TABLE `scheduleByTime` (
  `id` bigint(20) NOT NULL auto_increment,
  `admin` varchar(250) binary default NULL,
  `count` int(11) NOT NULL default '0',
  `deviceType` varchar(250) binary default NULL,
  `note` varchar(250) binary default NULL,
  `fwName` varchar(250) binary default NULL,
  `upgradeTime` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
--
-- Create certificateFile table 
--
CREATE TABLE `certificateFile` (
  `id` bigint(20) NOT NULL auto_increment,
  `deviceId` bigint(20) default NULL,
  `name` varchar(250) binary default NULL,
  `globalSettingCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
--Create vpn11GlobalSetting table ;
--

CREATE TABLE Vpn11GlobalSetting (
  deviceId bigint(20) NOT NULL default '0',
  outputIdleTimer int(11) NOT NULL default '0',
  inputIdleTimer int(11) NOT NULL default '0',
  gatewayUpdateTimer int(11) NOT NULL default '0',
  availableIkeEntry longblob,
  availableIpsecEntry longblob,
  availableManualKeyEntry longblob,
  currentPolicyNo int(11) NOT NULL default '0',
  PRIMARY KEY  (deviceId)
) TYPE=MyISAM;
--
--Create vpn11IkePolicy table 
--
CREATE TABLE `vpn11IkePolicy` (
  `id` bigint(20) NOT NULL auto_increment,
  `deviceId` bigint(20) default NULL,
  `idx` int(11) NOT NULL default '0',
  `name` varchar(250) binary default NULL,
  `isActive` tinyint(4) NOT NULL default '0',
  `natTraversal` tinyint(4) NOT NULL default '0',
  `myIpType` tinyint(4) NOT NULL default '0',
  `myIpAddr` varchar(250) binary default NULL,
  `myDomainName` varchar(250) binary default NULL,
  `remoteGatewayAddr` varchar(250) binary default NULL,
  `authMethod` tinyint(4) NOT NULL default '0',
  `presharedKey` varchar(250) binary default NULL,
  `certificateName` varchar(250) binary default NULL,
  `localIdType` tinyint(4) NOT NULL default '0',
  `localContent` varchar(250) binary default NULL,
  `peerIdType` tinyint(4) NOT NULL default '0',
  `peerContent` varchar(250) binary default NULL,
  `xauthEnable` tinyint(4) NOT NULL default '0',
  `xauthMode` tinyint(4) NOT NULL default '0',
  `xauthUserName` varchar(250) binary default NULL,
  `xauthPassword` varchar(250) binary default NULL,
  `negotiationMode` tinyint(4) NOT NULL default '0',
  `enAlgorithm` tinyint(4) NOT NULL default '0',
  `authAlgorithm` tinyint(4) NOT NULL default '0',
  `saLifeTime` int(11) NOT NULL default '0',
  `keyGroup` tinyint(4) NOT NULL default '0',
  `mulProposalEnable` tinyint(4) NOT NULL default '0',
  `authBy` tinyint(4) NOT NULL default '0',
  `globalSettingCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
--
--Create vpn11IpsecPolicy table
--
CREATE TABLE `vpn11IpsecPolicy` (
  `id` bigint(20) NOT NULL auto_increment,
  `deviceId` bigint(20) default NULL,
  `idx` int(11) NOT NULL default '0',
  `name` varchar(250) binary default NULL,
  `isActive` tinyint(4) NOT NULL default '0',
  `ipProtocol` tinyint(4) NOT NULL default '0',
  `nailedUpEnable` tinyint(4) NOT NULL default '0',
  `checkIpsecConnectivity` tinyint(4) NOT NULL default '0',
  `pingAddr` varchar(250) binary default NULL,
  `secureGatewayPolicy` int(11) NOT NULL default '0',
  `isVirtualAddrMapActive` tinyint(4) NOT NULL default '0',
  `defaultServer` varchar(250) binary default NULL,
  `mappingType` tinyint(4) NOT NULL default '0',
  `privateStartIp` varchar(250) binary default NULL,
  `privateEndIp` varchar(250) binary default NULL,
  `virtualStartIp` varchar(250) binary default NULL,
  `virtualEndIp` varchar(250) binary default NULL,
  `localAddrType` tinyint(4) NOT NULL default '0',
  `localIpStart` varchar(250) binary default NULL,
  `localIpEndOrSubnetMask` varchar(250) binary default NULL,
  `localPortStart` int(11) NOT NULL default '0',
  `localPortEnd` int(11) NOT NULL default '0',
  `remoteAddrType` tinyint(4) NOT NULL default '0',
  `remoteIpStart` varchar(250) binary default NULL,
  `remoteIpEndOrSubnetMask` varchar(250) binary default NULL,
  `remotePortStart` int(11) NOT NULL default '0',
  `remotePortEnd` int(11) NOT NULL default '0',
  `enMode` tinyint(4) NOT NULL default '0',
  `activeProtocol` tinyint(4) NOT NULL default '0',
  `enAlgorithm` tinyint(4) NOT NULL default '0',
  `authAlgorithm` tinyint(4) NOT NULL default '0',
  `saLifeTime` int(11) NOT NULL default '0',
  `perfectForwardSecrecy` tinyint(4) NOT NULL default '0',
  `replayDetectEnable` tinyint(4) NOT NULL default '0',
  `mulProposalEnable` tinyint(4) NOT NULL default '0',
  `logEnable` tinyint(4) NOT NULL default '0',
  `netbiosAllowed` tinyint(4) NOT NULL default '0',
  `isDialup` tinyint(4) NOT NULL default '0',
  `ikePolicyCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM; 
--
--Create vpn11ManualKeyPolicy table
--
CREATE TABLE `vpn11ManualKeyPolicy` (
  `id` bigint(20) NOT NULL auto_increment,
  `deviceId` bigint(20) default NULL,
  `idx` int(11) NOT NULL default '0',
  `name` varchar(250) binary default NULL,
  `isActive` tinyint(4) NOT NULL default '0',
  `localAddrType` tinyint(4) NOT NULL default '0',
  `localIpStart` varchar(250) binary default NULL,
  `localIpEndOrSubnetMask` varchar(250) binary default NULL,
  `remoteAddrType` tinyint(4) NOT NULL default '0',
  `remoteIpStart` varchar(250) binary default NULL,
  `remoteIpEndOrSubnetMask` varchar(250) binary default NULL,
  `myZywall` varchar(250) binary default NULL,
  `remoteGatewayAddr` varchar(250) binary default NULL,
  `securityParameterIndex` int(11) NOT NULL default '0',
  `enMode` tinyint(4) NOT NULL default '0',
  `activeProtocol` tinyint(4) NOT NULL default '0',
  `espEnAlgorithm` tinyint(4) NOT NULL default '0',
  `authAlgorithm` tinyint(4) NOT NULL default '0',
  `enKey` varchar(250) binary default NULL,
  `authKey` varchar(250) binary default NULL,
  `netbiosAllowed` tinyint(4) NOT NULL default '0',
  `isDialup` tinyint(4) NOT NULL default '0',
  `globalSettingCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
--
--Create vpn11NatRule table 
-- 

CREATE TABLE `vpn11NatRule` (
  `id` bigint(20) NOT NULL auto_increment,
  `deviceId` bigint(20) default NULL,
  `idx` int(11) NOT NULL default '0',
  `isActive` tinyint(4) NOT NULL default '0',
  `name` varchar(250) binary default NULL,
  `startPort` int(11) NOT NULL default '0',
  `endPort` int(11) NOT NULL default '0',
  `serverIp` varchar(250) binary default NULL,
  `ipsecPolicyCmr` bigint(20) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM; 

--
--create table vpnLinkEx
--
CREATE TABLE vpnLinkEx (
  id bigint(20) NOT NULL auto_increment,
  linkId bigint(20) default NULL,
  linkName varchar(250) binary default NULL,
  version tinyint(4) NOT NULL default '0',
  status tinyint(4) NOT NULL default '0',
  syncFlag tinyint(4) NOT NULL default '0',
  ikeOrManual tinyint(4) NOT NULL default '0',
  sgidA bigint(20) default NULL,
  sgidZ bigint(20) default NULL,
  ipsecIdx varchar(250) binary default NULL,
  ikeIdx varchar(250) binary default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;
--
-- Modify LogSetting table
--

alter table LogSetting add logAsymRoute TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add logMulticasts TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add logConActive TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add period INT(11) NOT NULL DEFAULT 0;
alter table LogSetting add remoteMgt TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add callRecord TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add ppp TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add sslTls TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add wireless TINYINT(4) NOT NULL DEFAULT 0;
alter table LogSetting add alertAntiVirus TINYINT(4) NOT NULL DEFAULT 0;


update LogSetting set remoteMgt =1;
update LogSetting set callRecord =1;
update LogSetting set logConActive =1 ;
update LogSetting set ppp =1 ;
update LogSetting set period=10;


--
-- Modify ZyXELGeneralZyWall table
--

alter table ZyXELGeneralZyWall add startWeek TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add startDay TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add startMonth TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add startClock TINYINT (4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add endWeek TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add endDay TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add endMonth TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELGeneralZyWall add endClock TINYINT(4) NOT NULL DEFAULT 0;


update ZyXELGeneralZyWall set startWeek=1;
update ZyXELGeneralZyWall set startDay =1;
update ZyXELGeneralZyWall set startMonth =1;
update ZyXELGeneralZyWall set endWeek =1;
update ZyXELGeneralZyWall set endDay =1;
update ZyXELGeneralZyWall set endMonth =1;


--
-- Modify ZyXELNatTrigport table
--

alter table ZyXELNatTrigport add wan2TriggerPort longblob;

--
-- Modify ZyXELNatAddrmap table
--

alter table ZyXELNatAddrmap add wan2AddrMapping longblob;

--
-- Modify ZyXELNatType table
--

alter table ZyXELNatType add wan2NatType TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELNatType add maxSessionsPerHost INT(11) NOT NULL DEFAULT 0;
alter table ZyXELNatType add portForwardingCopy TINYINT(4) NOT NULL DEFAULT 0;
alter table ZyXELNatType add triggerPortCopy TINYINT(4) NOT NULL DEFAULT 0;

update ZyXELNatType set wan2NatType=1;
update ZyXELNatType set maxSessionsPerHost=1024;



--
-- Modify BBInfo table
--

alter table BBInfo add GroupConfigInfo_bbInfoCmr bigint(20) ;
--
--create table Dns
--
CREATE TABLE `Dns` (
  `id` bigint(20) NOT NULL default '0',
  `maxTTL` int(11) NOT NULL default '0',
  `addrRecord` longblob,
  `ddnsRecord` longblob,
  `serverRecord` longblob,
  `negCachePeriod` int(11) NOT NULL default '0',
  `userName` varchar(250) binary default NULL,
  `password` varchar(250) binary default NULL,
  `active` tinyint(4) NOT NULL default '0',
  `negDNSResolutions` tinyint(4) NOT NULL default '0',
  `posDNSResolutions` tinyint(4) NOT NULL default '0',
  `defaultDNSServer` varchar(250) binary default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

--
-- Modify ZyXELLanCommonZywall table
--

alter table ZyXELLanCommonZyWall add remoteDhcpServer varchar(250) binary default NULL;
update ZyXELLanCommonZyWall set remoteDhcpServer="0.0.0.0";



alter table ADSLWAN add zeroConfig tinyint(4) NOT NULL default '0';
--
--Modify TopoNodeEJB data
--
UPDATE TopoNodeEJB SET topoIcon = NULL;

--
--Modify ComServerInfo data
--
DELETE from ComServerInfo;

--
--Modify TopoIconEJB data
--
DELETE from TopoIconEJB;

delete from TopoNodeEJB where label="ZyWALL2X";
delete from TopoNodeEJB where label="Prestige 660HW-61";
delete from TopoNodeEJB where label="Prestige 660R-61";

UPDATE Alarm SET msgType = 0 WHERE message = "Please upgrade the device firmware to 3.64 if you want to manage the device by CNM2.2" ;

use vrpt;

create table ADSLLINEINTERRUPT
(
	ID		bigint          not null auto_increment primary key,
	Year		char(4)		not null,
	Month		char(2)		not null,
	Day		char(2)		not null,
	Hour		char(2)		not null,
        Minute		char(2)		not null,
	Second		char(2)		not null,
	DevID           char(12)        not null,	
	DownTime	bigint		not null,
	CurrTime	bigint		not null,
	UpTime		bigint		not null
) type=MyISAM;


create table ADSLLINEUSAGE
(
	ID		bigint          not null auto_increment primary key,
	Year		char(4)		not null,
	Month		char(2)		not null,
	Day		char(2)		not null,	
	DevID           char(12)        not null,	
	InByte		bigint		not null,
	OutByte		bigint		not null
) type=MyISAM;